Error while updating linux image Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
CbIP
Posts: 24
Joined: Mon Jan 25, 2021 11:25 am

Re: Error while updating linux image

Post by CbIP »

OK. Should I just delete the installed image?
User avatar
Joulinar
Posts: 5617
Joined: Sat Nov 16, 2019 12:49 am

Re: Error while updating linux image

Post by Joulinar »

Don't do anything at the moment. I would recommend to wait on @MichaIng . Usually he has good ideas on such issues.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
CbIP
Posts: 24
Joined: Mon Jan 25, 2021 11:25 am

Re: Error while updating linux image

Post by CbIP »

Wilco
User avatar
MichaIng
Site Admin
Posts: 3214
Joined: Sat Nov 18, 2017 6:21 pm

Re: Error while updating linux image

Post by MichaIng »

Luckily this cloud VM kernel is not loaded by the physical RPi anyway. These would never be automatically installed by any other Debian package or any of our software options, but indeed one output line indicated that it was pulled as dependency by another APT package, a 3rd party package most likely:
linux-image-cloud-arm64/buster-backports,now 5.10.46-4~bpo10+1 arm64 [installed,automatic]
Can you try to purge it (do not confirm!) and paste the list of packages which would be purged as a result?

Code: Select all

apt purge linux-image-5.10.0-0.bpo.7-cloud-arm64 linux-image-5.10.0-0.bpo.8-cloud-arm64linux-image-5.9.0-0.bpo.5-cloud-arm64 linux-image-cloud-arm64
That list should then show the culprit package which for strange reasons has that cloud kernel package as dependency.

That is a kernel for e.g. ESXi on ARM guests, actually good to know about it. Also I'll just test linux-image-cloud-amd64 on our supported VMs, as it is much smaller than the regular x86_64 kernel :).
CbIP
Posts: 24
Joined: Mon Jan 25, 2021 11:25 am

Re: Error while updating linux image

Post by CbIP »

Thank you for the advice!
I have executed the command and this was the output:

Code: Select all

# apt purge linux-image-5.10.0-0.bpo.7-cloud-arm64 linux-image-5.10.0-0.bpo.8-cloud-arm64 linux-image-5.9.0-0.bpo.5-cloud-arm64 linux-image-cloud-arm64
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  cpio initramfs-tools initramfs-tools-core klibc-utils libklibc linux-base
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  linux-image-5.10.0-0.bpo.7-cloud-arm64* linux-image-5.10.0-0.bpo.8-cloud-arm64* linux-image-5.9.0-0.bpo.5-cloud-arm64* linux-image-cloud-arm64*
0 upgraded, 0 newly installed, 4 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 163 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
User avatar
MichaIng
Site Admin
Posts: 3214
Joined: Sat Nov 18, 2017 6:21 pm

Re: Error while updating linux image

Post by MichaIng »

Strange, nothing else would be purged. Not sure why the package has the "automatic" mark then. However, so you can confirm to purge them and also remove the other packages those pulled again as dependency, like the initramfs, which is not required on RPi:

Code: Select all

apt purge --autoremove linux-image-5.10.0-0.bpo.7-cloud-arm64 linux-image-5.10.0-0.bpo.8-cloud-arm64 linux-image-5.9.0-0.bpo.5-cloud-arm64 linux-image-cloud-arm64
CbIP
Posts: 24
Joined: Mon Jan 25, 2021 11:25 am

Re: Error while updating linux image

Post by CbIP »

I have purged all the linux-image* packages you mentioned + their dependencies (via --autoremove) and updated DietPi to 7.5.2.
Everything works fine! Thank you!!!
The case is now resolved. How can I mark it?
User avatar
Joulinar
Posts: 5617
Joined: Sat Nov 16, 2019 12:49 am

Re: Error while updating linux image

Post by Joulinar »

I marked it as resolved now
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply